#!/usr/bin/perl

use Linux::Inotify2;
use AnyEvent;


my $inotify = new Linux::Inotify2
  or die "unable to create new inotify object: $!";


@org_files =  glob("./org/*.org");

$" = "\n";
print "@org_files";


foreach(@org_files){
# add watchers
$inotify->watch ($_, IN_MODIFY, sub 
{
  my $e = shift;
  my $name = $e->fullname;
  print "$name was modified\n" if $e->IN_MODIFY;
  `weave $name`;
});




}




# integration into AnyEvent (works with EV, Glib, Tk, POE...)
my $inotify_w = AnyEvent->io 
  (
   fh => $inotify->fileno, poll => 'r', cb => sub { $inotify->poll }
  );

 # manual event loop
1 while $inotify->poll;
